SSL/TLS policy management service3 matching interfaces
Create a policy
createSSLPolicy
POST
/SSLPolicyService/createSSLPolicy- Definition file
service_ssl_policy.proto- Available roles
- AdministratorUser
Original definition
rpc createSSLPolicy (CreateSSLPolicyRequest) returns (CreateSSLPolicyResponse);Request message
CreateSSLPolicyRequestCreate a policy
Request message · Field definitions
message CreateSSLPolicyRequest {
bool http2Enabled = 1; // Optional: whether HTTP/2 is enabled
bool http3Enabled = 10; // Optional: whether HTTP/3 is enabled when its requirements are met
string minVersion = 2; // Minimum supported SSL version: SSL 3.0, TLS 1.0, TLS 1.1, TLS 1.2 or TLS 1.3
bytes sslCertsJSON = 3; // Optional: associated certificates; can be configured by updating the policy after creation @link json:ssl_cert_refs
bytes hstsJSON = 4; // Optional: HSTS configuration @link json:hsts
int32 clientAuthType = 5; // Optional: client certificate verification mode: 0 no certificate, 1 request a client certificate, 2 require any client certificate, 3 verify a certificate if provided, 4 require and verify a client certificate
bytes clientCACertsJSON = 6; // Optional: CA certificate content
repeated string cipherSuites = 7; // Optional: custom cipher suites
bool cipherSuitesIsOn = 8; // Optional: whether custom cipher suites are enabled
bool ocspIsOn = 9; // Optional: whether OCSP is enabled
}Response message
CreateSSLPolicyResponseResponse message · Field definitions
message CreateSSLPolicyResponse {
int64 sslPolicyId = 1; // Created policy ID
}